﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.IO;
using InvokeSolutions.Xlsx;
using InvokeSolutions.Xlsx.Data;

namespace zSample.HelloMars
{
    class Program
    {
        static void Main(string[] args)
        {
            // copy template file to destination file
            File.Copy("template.xlsx", "report.xlsx", true);

            // create new document data source. Learn more in 'importing data' article
            DocumentDataSource dds = new DocumentDataSource();

            // assign 'name' value
            dds["NAME"] = "Mars";

            // render destination value
            XlsxRenderer.RenderDocument("report.xlsx", dds);

            // open document
            Process.Start("report.xlsx");
        }
    }
}
